import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

class Office {
  static const MethodChannel _channel = const MethodChannel('plugins.ly.com/office');

  static Future<bool> createWorkbook(File file) async {
    final Map<String, dynamic> params = Map();
    params['file'] = file;
    return _channel.invokeMethod('createWorkbook', params);
  }

  static Future<bool> createSheet(String n, int w) async {
    final Map<String, dynamic> params = Map();
    params['name'] = n;
    params['which'] = w;
    return _channel.invokeMethod('createSheet', params);
  }

  static Future<bool> addCell(int c, int r, String cont) async {
    final Map<String, dynamic> params = Map();
    params['column'] = c;
    params['row'] = r;
    params['content'] = cont;
    return _channel.invokeMethod('addCell', params);
  }

  static Future<bool> setColumnView(int c, int w) async {
    final Map<String, dynamic> params = Map();
    params['column'] = c;
    params['width'] = w;
    return _channel.invokeMethod('setColumnView', params);
  }

  static Future<bool> write() async {
    return _channel.invokeMethod('write');
  }

  static Future<bool> close() async {
    return _channel.invokeMethod('close');
  }
}
